FilteringIterator (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.helpers.collection
Class FilteringIterator<T>

    java.lang.Object
      org.neo4j.helpers.collection.PrefetchingIterator<T>
          org.neo4j.helpers.collection.FilteringIterator<T>

Type Parameters:
  `T` - the type of items in the iteration.

All Implemented Interfaces:
  Iterator<T>

    public class FilteringIterator<T>

extends PrefetchingIterator<T>

An iterator which filters another iterator, only letting items with certain criterias pass through. All iteration/filtering is done lazily.

Constructor Summary
`FilteringIterator(Iterator<T> source, Predicate<T> predicate)`

Method Summary
`protected T` | `fetchNextOrNull()`
`static
`<T> Iterator<T>`
` | `noDuplicates(Iterator<T> source)`
`static
`<T> Iterator<T>`
` | `notNull(Iterator<T> source)`

Methods inherited from class org.neo4j.helpers.collection.PrefetchingIterator
`getPrefetchedNextOrNull, hasNext, next, remove, setPrefetchedNext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilteringIterator

    public FilteringIterator(Iterator<T> source,
                             Predicate<T> predicate)

Method Detail

### fetchNextOrNull

    protected T fetchNextOrNull()

  Specified by:
    `fetchNextOrNull` in class `PrefetchingIterator<T>`

### notNull

    public static <T> Iterator<T> notNull(Iterator<T> source)

### noDuplicates

    public static <T> Iterator<T> noDuplicates(Iterator<T> source)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.